Nini Library API Reference - http://nini.sourceforge.net/ |

# IConfigSource Methods

The methods of the IConfigSource interface are listed below. For a complete list of IConfigSource interface members, see the IConfigSource Members topic.

#### Public Instance Methods

AddConfig | Adds a new IConfig.
ExpandKeyValues | Expands all key values.
GetExpanded | Returns the expanded string value. This method does not replace the other key values in the IConfigSource.
Merge | Merges all IConfigs from another IConfigSource into the Configs collection.
Reload | Reloads all configuration values.
ReplaceKeyValues | This method is deprecated. Use ExpandKeyValues from now on.
Save | Saves all configuration values.

#### See Also

IConfigSource Interface | Nini.Config Namespace